Subject: Re: [RFC/PATCH] status: Add a new NUL separated output format

From: Eric Raymond <[email-masked]>
Date: Sat, 10 Apr 2010 15:50:03 -0400

Julian Phillips <[email-masked]>:
> Add a new output format option to git-status that is a more extreme
> form of the -z output that places a NUL between all parts of the
> record, and always has three entries per record, even when only two
> are relevant.  This make the parsing of --porcelain output much
> simpler for the consumer.

If you're open to changing this to lose the exiguous "-> " and use "-"
instead of " " as a status character, that would make me happy 
and fix the rest of the design problems with the format.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>